Xalan-Java 2.7.1: Class TransformerHandlerImpl

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.xsltc.trax
Class TransformerHandlerImpl

    java.lang.Object
      |
      +--org.apache.xalan.xsltc.trax.TransformerHandlerImpl

public class TransformerHandlerImpl
extends java.lang.Object
implements TransformerHandler, DeclHandler

Implementation of a JAXP1.1 TransformerHandler

Constructor Summary
`TransformerHandlerImpl(TransformerImpl transformer)` Cosntructor - pass in reference to a TransformerImpl object

Method Summary
`void` | `attributeDecl(java.lang.String eName, java.lang.String aName, java.lang.String type, java.lang.String valueDefault, java.lang.String value)` Implements org.xml.sax.ext.DeclHandler.attributeDecl()
`void` | `characters(char[] ch, int start, int length)` Implements org.xml.sax.ContentHandler.characters() Receive notification of character data.
`void` | `comment(char[] ch, int start, int length)` Implements org.xml.sax.ext.LexicalHandler.comment() Receieve notification of a comment
`void` | `elementDecl(java.lang.String name, java.lang.String model)` Implements org.xml.sax.ext.DeclHandler.elementDecl()
`void` | `endCDATA()` Implements org.xml.sax.ext.LexicalHandler.endCDATA()
`void` | `endDocument()` Implements org.xml.sax.ContentHandler.endDocument() Receive notification of the end of a document.
`void` | `endDTD()` Implements org.xml.sax.ext.LexicalHandler.endDTD()
`void` | `endElement(java.lang.String namespaceURI, java.lang.String localName, java.lang.String qname)` Implements org.xml.sax.ContentHandler.endElement() Receive notification of the end of an element.
`void` | `endEntity(java.lang.String name)` Implements org.xml.sax.ext.LexicalHandler.endEntity()
`void` | `endPrefixMapping(java.lang.String prefix)` Implements org.xml.sax.ContentHandler.endPrefixMapping() End the scope of a prefix-URI Namespace mapping.
`void` | `externalEntityDecl(java.lang.String name, java.lang.String publicId, java.lang.String systemId)` Implements org.xml.sax.ext.DeclHandler.externalEntityDecl()
`java.lang.String` | `getSystemId()` Implements javax.xml.transform.sax.TransformerHandler.getSystemId() Get the base ID (URI or system ID) from where relative URLs will be resolved.
`Transformer` | `getTransformer()` Implements javax.xml.transform.sax.TransformerHandler.getTransformer() Get the Transformer associated with this handler, which is needed in order to set parameters and output properties.
`void` | `ignorableWhitespace(char[] ch, int start, int length)` Implements org.xml.sax.ContentHandler.ignorableWhitespace() Receive notification of ignorable whitespace in element content.
`void` | `internalEntityDecl(java.lang.String name, java.lang.String value)` Implements org.xml.sax.ext.DeclHandler.externalEntityDecl()
`void` | `notationDecl(java.lang.String name, java.lang.String publicId, java.lang.String systemId)` Implements org.xml.sax.DTDHandler.notationDecl()
`void` | `processingInstruction(java.lang.String target, java.lang.String data)` Implements org.xml.sax.ContentHandler.processingInstruction() Receive notification of a processing instruction.
`void` | `setDocumentLocator(Locator locator)` Implements org.xml.sax.ContentHandler.setDocumentLocator() Receive an object for locating the origin of SAX document events.
`void` | `setResult(Result result)` Implements javax.xml.transform.sax.TransformerHandler.setResult() Enables the user of the TransformerHandler to set the to set the Result for the transformation.
`void` | `setSystemId(java.lang.String id)` Implements javax.xml.transform.sax.TransformerHandler.setSystemId() Get the base ID (URI or system ID) from where relative URLs will be resolved.
`void` | `skippedEntity(java.lang.String name)` Implements org.xml.sax.ContentHandler.skippedEntity() Receive notification of a skipped entity.
`void` | `startCDATA()` Implements org.xml.sax.ext.LexicalHandler.startCDATA()
`void` | `startDocument()` Implements org.xml.sax.ContentHandler.startDocument() Receive notification of the beginning of a document.
`void` | `startDTD(java.lang.String name, java.lang.String publicId, java.lang.String systemId)` Implements org.xml.sax.ext.LexicalHandler.startDTD()
`void` | `startElement(java.lang.String uri, java.lang.String localName, java.lang.String qname, Attributes attributes)` Implements org.xml.sax.ContentHandler.startElement() Receive notification of the beginning of an element.
`void` | `startEntity(java.lang.String name)` Implements org.xml.sax.ext.LexicalHandler.startEntity()
`void` | `startPrefixMapping(java.lang.String prefix, java.lang.String uri)` Implements org.xml.sax.ContentHandler.startPrefixMapping() Begin the scope of a prefix-URI Namespace mapping.
`void` | `unparsedEntityDecl(java.lang.String name, java.lang.String publicId, java.lang.String systemId, java.lang.String notationName)` Implements org.xml.sax.DTDHandler.unparsedEntityDecl()

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransformerHandlerImpl

    public TransformerHandlerImpl(TransformerImpl transformer)

  Cosntructor - pass in reference to a TransformerImpl object

Method Detail

### getSystemId

    public java.lang.String getSystemId()

  Implements javax.xml.transform.sax.TransformerHandler.getSystemId() Get the base ID (URI or system ID) from where relative URLs will be resolved.
  Specified by:
    getSystemId in interface TransformerHandler
  Returns:
    The systemID that was set with setSystemId(String id)

### setSystemId

    public void setSystemId(java.lang.String id)

  Implements javax.xml.transform.sax.TransformerHandler.setSystemId() Get the base ID (URI or system ID) from where relative URLs will be resolved.
  Specified by:
    setSystemId in interface TransformerHandler
  Parameters:
    `id` - Base URI for this stylesheet

### getTransformer

    public Transformer getTransformer()

  Implements javax.xml.transform.sax.TransformerHandler.getTransformer() Get the Transformer associated with this handler, which is needed in order to set parameters and output properties.
  Specified by:
    getTransformer in interface TransformerHandler
  Returns:
    The Transformer object

### setResult

    public void setResult(Result result)
                   throws java.lang.IllegalArgumentException

  Implements javax.xml.transform.sax.TransformerHandler.setResult() Enables the user of the TransformerHandler to set the to set the Result for the transformation.
  Specified by:
    setResult in interface TransformerHandler
  Parameters:
    `result` - A Result instance, should not be null
  Throws:
    java.lang.IllegalArgumentException - if result is invalid for some reason

### characters

    public void characters(char[] ch,
                           int start,
                           int length)
                    throws SAXException

  Implements org.xml.sax.ContentHandler.characters() Receive notification of character data.

### startDocument

    public void startDocument()
                       throws SAXException

  Implements org.xml.sax.ContentHandler.startDocument() Receive notification of the beginning of a document.

### endDocument

    public void endDocument()
                     throws SAXException

  Implements org.xml.sax.ContentHandler.endDocument() Receive notification of the end of a document.

### startElement

    public void startElement(java.lang.String uri,
                             java.lang.String localName,
                             java.lang.String qname,
                             Attributes attributes)
                      throws SAXException

  Implements org.xml.sax.ContentHandler.startElement() Receive notification of the beginning of an element.

### endElement

    public void endElement(java.lang.String namespaceURI,
                           java.lang.String localName,
                           java.lang.String qname)
                    throws SAXException

  Implements org.xml.sax.ContentHandler.endElement() Receive notification of the end of an element.

### processingInstruction

    public void processingInstruction(java.lang.String target,
                                      java.lang.String data)
                               throws SAXException

  Implements org.xml.sax.ContentHandler.processingInstruction() Receive notification of a processing instruction.

### startCDATA

    public void startCDATA()
                    throws SAXException

  Implements org.xml.sax.ext.LexicalHandler.startCDATA()

### endCDATA

    public void endCDATA()
                  throws SAXException

  Implements org.xml.sax.ext.LexicalHandler.endCDATA()

### comment

    public void comment(char[] ch,
                        int start,
                        int length)
                 throws SAXException

  Implements org.xml.sax.ext.LexicalHandler.comment() Receieve notification of a comment

### ignorableWhitespace

    public void ignorableWhitespace(char[] ch,
                                    int start,
                                    int length)
                             throws SAXException

  Implements org.xml.sax.ContentHandler.ignorableWhitespace() Receive notification of ignorable whitespace in element content. Similar to characters(char[], int, int).

### setDocumentLocator

    public void setDocumentLocator(Locator locator)

  Implements org.xml.sax.ContentHandler.setDocumentLocator() Receive an object for locating the origin of SAX document events.

### skippedEntity

    public void skippedEntity(java.lang.String name)
                       throws SAXException

  Implements org.xml.sax.ContentHandler.skippedEntity() Receive notification of a skipped entity.

### startPrefixMapping

    public void startPrefixMapping(java.lang.String prefix,
                                   java.lang.String uri)
                            throws SAXException

  Implements org.xml.sax.ContentHandler.startPrefixMapping() Begin the scope of a prefix-URI Namespace mapping.

### endPrefixMapping

    public void endPrefixMapping(java.lang.String prefix)
                          throws SAXException

  Implements org.xml.sax.ContentHandler.endPrefixMapping() End the scope of a prefix-URI Namespace mapping.

### startDTD

    public void startDTD(java.lang.String name,
                         java.lang.String publicId,
                         java.lang.String systemId)
                  throws SAXException

  Implements org.xml.sax.ext.LexicalHandler.startDTD()

### endDTD

    public void endDTD()
                throws SAXException

  Implements org.xml.sax.ext.LexicalHandler.endDTD()

### startEntity

    public void startEntity(java.lang.String name)
                     throws SAXException

  Implements org.xml.sax.ext.LexicalHandler.startEntity()

### endEntity

    public void endEntity(java.lang.String name)
                   throws SAXException

  Implements org.xml.sax.ext.LexicalHandler.endEntity()

### unparsedEntityDecl

    public void unparsedEntityDecl(java.lang.String name,
                                   java.lang.String publicId,
                                   java.lang.String systemId,
                                   java.lang.String notationName)
                            throws SAXException

  Implements org.xml.sax.DTDHandler.unparsedEntityDecl()

### notationDecl

    public void notationDecl(java.lang.String name,
                             java.lang.String publicId,
                             java.lang.String systemId)
                      throws SAXException

  Implements org.xml.sax.DTDHandler.notationDecl()

### attributeDecl

    public void attributeDecl(java.lang.String eName,
                              java.lang.String aName,
                              java.lang.String type,
                              java.lang.String valueDefault,
                              java.lang.String value)
                       throws SAXException

  Implements org.xml.sax.ext.DeclHandler.attributeDecl()
  Specified by:
    attributeDecl in interface DeclHandler

### elementDecl

    public void elementDecl(java.lang.String name,
                            java.lang.String model)
                     throws SAXException

  Implements org.xml.sax.ext.DeclHandler.elementDecl()
  Specified by:
    elementDecl in interface DeclHandler

### externalEntityDecl

    public void externalEntityDecl(java.lang.String name,
                                   java.lang.String publicId,
                                   java.lang.String systemId)
                            throws SAXException

  Implements org.xml.sax.ext.DeclHandler.externalEntityDecl()
  Specified by:
    externalEntityDecl in interface DeclHandler

### internalEntityDecl

    public void internalEntityDecl(java.lang.String name,
                                   java.lang.String value)
                            throws SAXException

  Implements org.xml.sax.ext.DeclHandler.externalEntityDecl()
  Specified by:
    internalEntityDecl in interface DeclHandler

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.